import { service } from '@/utils/request'
import { GridAddressReq, GridAddressResp } from './types'
import { ApiResponse } from '../types'
export enum SystemApi {
  /** 获取网格地址信息 */
  GET_GRID_ADDRESS = '/ystlsystemservice/areaGrid/data/getAreaGrid',
}

/** 获取网格地址信息 */
export function getGridAddress(params: GridAddressReq) {
  return service.get<ApiResponse<GridAddressResp[]>>(SystemApi.GET_GRID_ADDRESS, {params})
}